@import '../base';

.page-profile {
  .profile-header {
    padding: 60px 10px 25px 10px;
    text-align: center;
    background: linear-gradient(to top, $pink 0%, $pink-light 100%);
    color: white;
    position: relative;

    .profile-image {
      display: inline-block;
      position: relative;
      width: 120px;
      height: 120px;
      background-color: rgba(black, 0.3);
      border-radius: 50%;
      z-index: 0;
      cursor: pointer;
      .the-img {
        border-radius: 50%;
        width: 120px;
        height: 120px;
        border: solid 5px white;
        background-size: cover;
        background-position: center;
      }

      &:before,
      &:after {
        content: '';
        position: absolute;
        left: 0;
        top: 0;
        width: 100%;
        height: 100%;
        border-radius: 50%;
      }

      &:before {
        border: solid 8px rgba(lighten($pink-light, 5%), 0.3);
        box-shadow: 0 0 0 14px rgba(lighten($pink-light, 5%), 0.6);
        transform: scale(1.2);
      }

      &:after {
        border: solid 10px rgba(lighten($pink-light, 6%), 0.7);
        box-shadow: 0 0 0 20px rgba(lighten($pink-light, 4%), 0.4);
        transform: scale(1.5);
      }
      .icon-avatar {
        line-height: 105px;
        width: 120px;
        height: 120px;
      }
    }
    .profile-name {
      position: relative;
      z-index: 2;
      height: 30px;
      line-height: 30px;
      margin: 25px 0 0;
    }
    .edit-btn {
      position: absolute;
      bottom: -22px;
      left: 20px;
      box-shadow: -1px 1px 2px rgba(black, 0.2);
    }
  }

  .profile-body {
    max-width: 400px;
    margin: auto;
    padding: 70px 15px 30px 15px;

    .list-item {
      padding: 15px 0;
      display: flex;
      justify-content: space-between;
      align-items: center;
      &.no-border {
        padding: 5px 0;
      }
      &:not(:last-child):not(.no-border) {
        border-bottom: solid 1px $gray-400;
      }
      > * {
        vertical-align: middle;
      }
      > i {
        font-size: 1.7rem;
        width: 30px;
        text-align: center;
        color: $gray-500;
      }
      > span {
        display: inline-block;
        padding: 0 10px;
        flex-grow: 1;
        color: $gray-700;
      }
    }
  }

}
